
The Hammer - Bug #63

CM_PosFromChar scintilla support

06/25/2017 03:09 PM - Wil van Antwerpen

Status: Closed Start date: 06/25/2017

Priority: Normal Due date:  

Assignee: Wil van Antwerpen % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The CM_PosFromChar function is not ported yet for Scintilla.

This is to be used for improving placement of dialogs (among others)

History

#1 - 06/25/2017 05:26 PM - Wil van Antwerpen

- Status changed from New to Resolved

Found the code to handle this.

Note that it only sets the piPosEndX and piPosEndY

The start positions are ignored as I have no idea what it is supposed to contain.

#2 - 06/25/2017 08:17 PM - Wil van Antwerpen

Changed the logic to at least set piPosStartX/piPosStartY to the same value as piPosEndX/piPosEndY

#3 - 07/25/2017 08:40 PM - Wil van Antwerpen

- Status changed from Resolved to Closed
